<?php



class TblscormcminodeMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.TblscormcminodeMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(TblscormcminodePeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(TblscormcminodePeer::TABLE_NAME);
		$tMap->setPhpName('Tblscormcminode');
		$tMap->setClassname('Tblscormcminode');

		$tMap->setUseIdGenerator(true);

		$tMap->addColumn('ACCESSCOUNT', 'Accesscount', 'INTEGER', false, null);

		$tMap->addColumn('ACCESSDURATION', 'Accessduration', 'VARCHAR', false, 20);

		$tMap->addColumn('ACCESSED', 'Accessed', 'VARCHAR', false, 20);

		$tMap->addColumn('ACTIVITYABSDURATION', 'Activityabsduration', 'VARCHAR', false, 20);

		$tMap->addColumn('ACTIVITYATTEMPTCOUNT', 'Activityattemptcount', 'INTEGER', false, null);

		$tMap->addColumn('ACTIVITYEXPDURATION', 'Activityexpduration', 'VARCHAR', false, 20);

		$tMap->addColumn('ACTIVITYPROGSTATUS', 'Activityprogstatus', 'TINYINT', false, null);

		$tMap->addColumn('ATTEMPTABSDURATION', 'Attemptabsduration', 'VARCHAR', false, 20);

		$tMap->addColumn('ATTEMPTCOMPLAMOUNT', 'Attemptcomplamount', 'DOUBLE', false, null);

		$tMap->addColumn('ATTEMPTCOMPLSTATUS', 'Attemptcomplstatus', 'TINYINT', false, null);

		$tMap->addColumn('ATTEMPTEXPDURATION', 'Attemptexpduration', 'VARCHAR', false, 20);

		$tMap->addColumn('ATTEMPTPROGSTATUS', 'Attemptprogstatus', 'TINYINT', false, null);

		$tMap->addColumn('AUDIO_CAPTIONING', 'AudioCaptioning', 'INTEGER', false, null);

		$tMap->addColumn('AUDIO_LEVEL', 'AudioLevel', 'DOUBLE', false, null);

		$tMap->addColumn('AVAILABLECHILDREN', 'Availablechildren', 'VARCHAR', false, 255);

		$tMap->addPrimaryKey('CMI_NODE_ID', 'CmiNodeId', 'INTEGER', true, null);

		$tMap->addColumn('COMPLETION', 'Completion', 'DOUBLE', false, null);

		$tMap->addColumn('COMPLETION_STATUS', 'CompletionStatus', 'VARCHAR', false, 32);

		$tMap->addColumn('COMPLETION_THRESHOLD', 'CompletionThreshold', 'VARCHAR', false, 32);

		$tMap->addForeignKey('CP_NODE_ID', 'CpNodeId', 'INTEGER', 'tblscormcpnode', 'CP_NODE_ID', true, null);

		$tMap->addColumn('CREATED', 'Created', 'VARCHAR', false, 20);

		$tMap->addColumn('CREDIT', 'Credit', 'VARCHAR', false, 32);

		$tMap->addColumn('DELIVERY_SPEED', 'DeliverySpeed', 'DOUBLE', false, null);

		$tMap->addColumn('C_ENTRY', 'CEntry', 'VARCHAR', false, 255);

		$tMap->addColumn('C_EXIT', 'CExit', 'VARCHAR', false, 255);

		$tMap->addColumn('C_LANGUAGE', 'CLanguage', 'VARCHAR', false, 5);

		$tMap->addColumn('LAUNCH_DATA', 'LaunchData', 'LONGVARCHAR', false, null);

		$tMap->addColumn('LEARNER_NAME', 'LearnerName', 'VARCHAR', false, 255);

		$tMap->addColumn('LOCATION', 'Location', 'VARCHAR', false, 255);

		$tMap->addColumn('C_MAX', 'CMax', 'DOUBLE', false, null);

		$tMap->addColumn('C_MIN', 'CMin', 'DOUBLE', false, null);

		$tMap->addColumn('C_MODE', 'CMode', 'VARCHAR', false, 20);

		$tMap->addColumn('MODIFIED', 'Modified', 'VARCHAR', false, 20);

		$tMap->addColumn('PROGRESS_MEASURE', 'ProgressMeasure', 'DOUBLE', false, null);

		$tMap->addColumn('C_RAW', 'CRaw', 'DOUBLE', false, null);

		$tMap->addColumn('SCALED', 'Scaled', 'DOUBLE', false, null);

		$tMap->addColumn('SCALED_PASSING_SCORE', 'ScaledPassingScore', 'DOUBLE', false, null);

		$tMap->addColumn('SESSION_TIME', 'SessionTime', 'VARCHAR', false, 20);

		$tMap->addColumn('SUCCESS_STATUS', 'SuccessStatus', 'VARCHAR', false, 255);

		$tMap->addColumn('SUSPEND_DATA', 'SuspendData', 'LONGVARCHAR', false, null);

		$tMap->addColumn('TOTAL_TIME', 'TotalTime', 'VARCHAR', false, 20);

		$tMap->addColumn('USER_ID', 'UserId', 'INTEGER', true, null);

		$tMap->addColumn('C_TIMESTAMP', 'CTimestamp', 'TIMESTAMP', false, null);

		$tMap->addColumn('ADDITIONAL_TABLES', 'AdditionalTables', 'TINYINT', true, null);

	} 
} 